Bug 1018097 - Regression in Lucene Directory: NPE during SegmentInfos.getLastCommitGeneration
Regression in Lucene Directory: NPE during SegmentInfos.getLastCommitGeneration
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER3
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks: 1010419
  Show dependency treegraph
 
Reported: 2013-10-11 04:46 EDT by Martin Gencur
Modified: 2014-04-28 11:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3592 Blocker Resolved Regression in Lucene Directory: NPE during SegmentInfos.getLastCommitGeneration 2014-04-28 14:52:33 EDT

  None (edit)
Description Martin Gencur 2013-10-11 04:46:05 EDT
See description in linked JIRA
Comment 2 Tristan Tarrant 2013-10-18 07:19:25 EDT
Fixed in ER3.1
Comment 3 Sanne Grinovero 2013-10-18 08:37:24 EDT
I'm wondering if QA actually already had tests which could highlight this?

In Infinispan running the functional testsuite is not enough, you need to run a load or performance test to trigger the failure.

I'm pretty confident that it will pass QA now but it would be good to verify that the version without the fix was actually causing some failure.
Comment 4 Martin Gencur 2013-10-18 09:07:44 EDT
No, we don't have functional tests that could highlight this issue. We haven't seen any issues when running performance tests for queries, but I'm not sure we ran any perf. tests at the moment the problem was there.
Comment 5 Anna Manukyan 2013-10-22 06:12:38 EDT
I've run the test org.infinispan.lucene.profiling.PerformanceCompareStressTest.profileInfinispanLocalDirectory() using JDG_6.2.0.ER3 and JDG_6.2.0.ER3.1. For the first one the test fails, for the newest tag, it passes.

The issue is verified.
Comment 6 Sanne Grinovero 2013-10-22 19:28:30 EDT
Thanks! glad this is covered.

Note You need to log in before you can comment on or make changes to this bug.